summaryrefslogtreecommitdiff
path: root/tests/mv/perm-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/perm-1')
-rwxr-xr-xtests/mv/perm-124
1 files changed, 5 insertions, 19 deletions
diff --git a/tests/mv/perm-1 b/tests/mv/perm-1
index 792a91429..af859197c 100755
--- a/tests/mv/perm-1
+++ b/tests/mv/perm-1
@@ -2,7 +2,7 @@
# ensure that mv gives one diagnostic, not two, when failing
# due to lack of permissions
-# Copyright (C) 2002, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2002, 2004, 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,25 +22,12 @@ if test "$VERBOSE" = yes; then
mv --version
fi
-. $srcdir/../envvar-check
. $srcdir/../lang-default
PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-mkdir -p no-write/dir || framework_failure=1
-chmod u-w no-write || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+mkdir -p no-write/dir || framework_failure
+chmod u-w no-write || framework_failure
fail=0
@@ -49,7 +36,6 @@ cat <<\EOF > exp
mv: cannot move `no-write/dir' to `./dir': Permission denied
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail